##############################################################################
#
# Base18: a Zope product which provides multilingual services for CMF Default
#         documents.
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# Copyright (c) 2002 Nexedi SARL and Contributors. All Rights Reserved.
#                    Jean-Paul Smets-Solane <jp@nexedi.com>
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
#
# This program as such is not intended to be used by end users. End
# users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the Zope Public License (ZPL) Version 2.0
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
##############################################################################
__version__ = "$Revision: 1.2 $"[11:-2]
__doc__ = "This product provides the basic behaviour to CMF object which need translation"


"""\
Base18 portal_membership tool.
"""

from Globals import InitializeClass, DTMLFile
from AccessControl import ClassSecurityInfo
from Products.CMFCore.CMFCorePermissions import ManagePortal
from Products.CMFDefault.MembershipTool import MembershipTool
import Document

default_member_content = '''Default page for %s

  This is the default document created for you when 
  you joined this community.

  To change the content just select "Edit"
  in the Tool Box on the left.
'''

class MembershipTool18( MembershipTool ):

    id              = 'portal_membership'
    meta_type       = 'Base18 Membership Tool'

#    security = ClassSecurityInfo()
    
#    security.declareProtected(ManagePortal, 'createMemberarea2')
    def createMemberarea(self, member_id):
        """
        create a member area
        """
        MembershipTool.createMemberarea(self, member_id)
        members =  getattr(parent, 'Members', None)
        f=getattr(members, member_id)
        del f['index_html']
        Document.addDocument18( f
                                , 'index_html'
                                , member_id+"'s Home"
                                , member_id+"'s front page"
                                , "structured-text"
                                , (default_member_content % member_id)
                                ) 
        f.index_html._setPortalTypeName( 'Document' )
     
        # Overcome an apparent catalog bug.
        f.index_html.reindexObject()    
    
InitializeClass( MembershipTool18 )
